## Untar

### Description

Untars a tarfile.

Note: File permissions will not be restored on extracted files.

For JDK 1.1 "last modified time" field is set to current time instead of being carried from tarfile.

The untar task recognizes the long pathname entries used by GNU tar.

### Parameters

Attribute | Description | Required
src | tarfile to expand. | Yes
dest | directory where to store the expanded files. | Yes
overwrite | Overwrite files, even if they are newer than the corresponding entries in the archive (true or false, default is true). | No

### Examples

> `<gunzip src="tools.tar.gz"/>
> <untar src="tools.tar" dest="${tools.home}"/>`

Copyright © 2000,2001 Apache Software Foundation. All rights Reserved.